# Meta-Tags
page.meta {

  keywords.field = keywords
  keywords.stdWrap.ifEmpty.cObject = TEXT
  keywords.stdWrap.ifEmpty.cObject.value = {$tx_dti_nabu.settings.keywords}

  description.field = description
  description.stdWrap.ifEmpty.cObject = TEXT
  description.stdWrap.ifEmpty.cObject.value = {$tx_dti_nabu.settings.description}

  author.field = author
  author.stdWrap.ifEmpty.cObject = TEXT
  author.stdWrap.ifEmpty.cObject.value = {$tx_dti_nabu.settings.author}

  # Optional
  revised.data = page:SYS_LASTCHANGED
  revised.strftime = %A, %d.%m.%Y
  abstract.field = abstract
}


### Head: Meta-OG-Tags

lib.url = TEXT
lib.url{
  data = getIndpEnv:TYPO3_REQUEST_URL
}

temp.canonical = COA
temp.canonical {
  wrap = <link rel="canonical" href="|">
  1 = TEXT
  1 {
    value = {$tx_dti_nabu.settings.url}
    wrap = |
  }
  2 = TEXT
  2 {
    typolink {
      parameter.data=TSFE:id
      returnLast=url
      addQueryString = 0
      addQueryString.method = GET
    }
  }
}

temp.og-image = IMG_RESOURCE
temp.og-image {
  file {
    import = uploads/media/
    import.data = levelmedia:-1,slide
    treatIdAsReference = 1
    import.listNum = 0
    height = 810c
    width = 1440c
  }
  stdWrap.wrap = <meta property="og:image" content="{$tx_dti_nabu.settings.url}|">
}

page.headerData.11 = COA
page.headerData.11 {

  5 < temp.canonical
  10 = TEXT
  10 {
    dataWrap = <meta property="og:title" content="{field:title}">
  }
  20 = TEXT
  20.value = <meta property="og:type" content="website">
  30 < temp.canonical
  30.wrap = <meta property="og:url" content="|">
  40 = TEXT
  40 {
    field = description
    stdWrap.ifEmpty.cObject = TEXT
    stdWrap.ifEmpty.cObject.value = {$tx_dti_nabu.settings.description}
    wrap = <meta property="og:description" content="|">
  }

  50 < temp.og-image
  60 = TEXT
  60 {
    dataWrap = <meta property="og:site_name" content="{$tx_dti_nabu.settings.title}">
  }
  70 = TEXT
  70.value (
  <meta property="og:locale" content="{$tx_dti_nabu.settings.oglocal}" >
  )

}